跳至內容

MediaWiki討論:Common.css

頁面內容不支援其他語言。
新增話題
維基百科,自由的百科全書
由Srapoj在話題編輯請求 2025-08-21上作出的最新留言:2 個月前

編輯請求 2024-12-07

[編輯]

請求已處理

MediaWiki:Common.css#L-631附近的imbox CSS和{{imbox}}本身的模板樣式衝突,導致在例如此連結的edit intro中不兼容深色模式。請修正。--碟之舞📀💿 2024年12月7日 (六) 05:59 (UTC)回覆

完成--百無一用是書生 () 2025年2月11日 (二) 11:19 (UTC)回覆
@Shizhao:沒刪乾淨,Special:PermaLink/86056671#L-605到616也應該刪除。--碟之舞📀💿 2025年2月11日 (二) 11:28 (UTC)回覆
這部分之前沒有轉移到Template:Imbox/style.css,現在已經轉移過去了。希望不會有什麼問題--百無一用是書生 () 2025年2月12日 (三) 03:10 (UTC)回覆
[編輯]

之前開過,沒人回存檔了,例見沙盒。剛剛又稍微研究了一下,雖然不太懂不過應該找到問題所在了,似乎是Template:Hlist/styles.css line 143附近的first-child::before。希望懂行的幫忙處理一下,謝謝。--惣流·明日香·蘭格雷不姓 2024年11月30日 (六) 04:49 (UTC)回覆

參照日文維基百科,應該是要把MediaWiki:Common.css#L-162--L-172,改成Template:Hlist/styles.css#L-127--L-102,註釋掉的部分,不可有.hlist ol ol:before--Qqkuro66541留言2024年12月2日 (一) 15:23 (UTC)回覆
在遷移完Navbox和Hatnote之後,接下來準備着手遷移Hlist/Plainlist,只不過需要精力以及人手支援。--Dabao qian 2024年12月17日 (二) 18:15 (UTC)回覆
@Dabao qian目前進度如何?—— Eric Liu 創造は生命(留言留名學生會 2025年3月1日 (六) 11:41 (UTC)回覆
@Dabao qian似乎沒有消息,那就先存檔吧,以後有問題再提出來。—— Eric Liu 創造は生命(留言留名學生會 2025年5月5日 (一) 13:10 (UTC)回覆

編輯請求 2025-07-25

[編輯]

請求已拒絕

/* Highlight linked elements (such as clicked references) in blue */
.citation:target {
	/* ignore the linter - all browsers of interest implement this */
	background-color: rgba(0, 127, 255, 0.133);
}

從英文維基百科引入以上樣式,相關討論見Wikipedia:互助客棧/技術#提議:高亮哈佛參考文獻格式短鏈指向的完整資料引用。--Kcx36留言2025年7月25日 (五) 06:15 (UTC)回覆

想順便問一下上面這個問題是否有解?—— Eric Liu 創造は生命(留言留名學生會 2025年7月25日 (五) 06:32 (UTC)回覆
這個問題還是問Dabao qian吧。--Kcx36留言2025年7月25日 (五) 06:35 (UTC)回覆
深色模式怎麼處理?--百無一用是書生 () 2025年8月1日 (五) 09:06 (UTC)回覆
樣式中背景顏色有86.7%的透明度,在深色模式下顯示效果也還可以。--Kcx36留言2025年8月1日 (五) 12:01 (UTC)回覆

未完成這個應該去Module:Citation/CS1/styles.css修改--百無一用是書生 () 2025年8月8日 (五) 07:21 (UTC)回覆

@ShizhaoModule:Citation/CS1/styles.css只有1萬6的嵌入,明顯覆蓋範圍不夠。之前問@Dabao qian這段高亮的css應該加在哪裏,他一直沒回復,所以我只能來這裏提編輯請求。--Kcx36留言2025年8月8日 (五) 07:40 (UTC)回覆
你說的的確是個問題,那麼再繼續討論看看?--百無一用是書生 () 2025年8月8日 (五) 07:50 (UTC)回覆
[1],目前主條目里還有741個野生引用。--Dabao qian 2025年8月8日 (五) 07:59 (UTC)回覆
@Kcx36Ericliu1912已經給了解決方案,按此處提供之代碼分別更新Module:Citation/CS1Module:Citation/CS1/Configuration即可解決該問題,無需修改Common.css。--Dabao qian 2025年8月17日 (日) 17:49 (UTC)回覆
關閉編輯請求。--Kcx36留言2025年8月17日 (日) 17:50 (UTC)回覆
圖標沒整明白,當前版本下暫時不需要更新Configuration子頁面。--Dabao qian 2025年8月17日 (日) 18:54 (UTC)回覆
當前的CS1模塊未使用模板樣式,對它的修改可能需要更多的測試和討論。因在Common.css可較快地解決問題,重開此處的編輯請求。--Srapoj留言2025年8月18日 (一) 01:46 (UTC)回覆
未完成(非管理員關閉),需要進一步討論。--Dabao qian 2025年8月18日 (一) 03:33 (UTC)回覆

編輯請求 2025-08-07

[編輯]

請求已處理

刪除第895—906行,即用於控制特定內容只在簡體或繁體變體下顯示的.zhwiki-lang-zh-hans.zhwiki-lang-zh-hant兩組CSS類的代碼。目前沒有正式頁面使用這兩個CSS類,而且此功能其實也可以模板化,參見{{沙盒/TemplateStyles/Dabao qian/test1.css}},示例見此(需使用safemode=1參數禁用Common.css方可達到預期顯示效果)。--Dabao qian 2025年8月7日 (四) 11:09 (UTC)回覆

完成--百無一用是書生 () 2025年8月8日 (五) 03:47 (UTC)回覆

編輯請求 2025-08-12

[編輯]

請求已處理

刪除第906—912行.template-facttext的樣式設置,已遷移至{{Mark I/styles.css}},另需同步刪除Print.css第90—93行的代碼塊。--Dabao qian 2025年8月12日 (二) 16:01 (UTC)回覆

完成--百無一用是書生 () 2025年8月17日 (日) 07:37 (UTC)回覆

編輯請求 2025-08-17

[編輯]

請求已處理

刪除第306—309行.infobox.sisterproject相關樣式代碼及Print.css第24行的.ns-0 .infobox.sisterproject, 。--Dabao qian 2025年8月17日 (日) 15:02 (UTC)回覆

完成。--碟之舞📀💿 2025年8月28日 (四) 11:26 (UTC)回覆
閣下是否可以考慮一下我之前在討論頁提到的Print.css翻新方案該如何處理,至少目前「摺疊元素展開顯示」還沒有適配jQuery.makeCollapsible。--Dabao qian 2025年8月28日 (四) 13:34 (UTC)回覆

編輯請求 2025-08-21

[編輯]

{{Editprotected}} 修改第210行#spoiler.spoiler, #spoiler
用於減少lint錯誤(重複id),且語義上更為正確(儘管把id當class用不影響CSS的工作,除非有specificity衝突)。如果「spoiler」名不副實的話可以給它想個新名字。

樣式的來源應該是英語維基,他們已在[2]將其改為class了隨後棄用。完成後可以將Template命名空間裏的id="spoiler"改為class。

由於移動討論相關的模板被大量替換引用,恐怕無法移除#spoiler這一selector。

英語維基後來也廢棄了#disambig[3],我沒檢查這個id在本地的使用情況。
--Srapoj留言2025年8月21日 (四) 13:32 (UTC)回覆

正確的做法應該是本地排查所有使用#spoiler的頁面(不計討論頁、用戶頁、討論頁存檔),然後將其替換為內聯樣式,後續視模板樣式遷移進度會慢慢覆蓋到,此處或應暫緩編輯。--Dabao qian 2025年8月21日 (四) 14:11 (UTC)回覆
去掉討論頁、用戶頁、討論頁存檔、存廢討論、模板文檔、沙盒、測試樣例等頁面後初步排查共有687個頁面使用#spoiler選擇器(結果可能不準確)。--Dabao qian 2025年8月21日 (四) 14:19 (UTC)回覆
所以正確的操作步驟應該是:首先將模板和模塊中的#spoiler替換為內聯樣式(可添加class="metadata"以抑制打印輸出),然後視情況清理條目等命名空間中的野生引用,最後從Common.css刪除該選擇器,模板樣式轉換一般不考慮討論頁、用戶頁和討論頁存檔。--Dabao qian 2025年8月21日 (四) 14:39 (UTC)回覆
請雙方明確正確的操作步驟。--碟之舞📀💿 2025年8月28日 (四) 03:45 (UTC)回覆
這個暫緩一下,可以先處理上面那個關於.sisterproject的。--Dabao qian 2025年8月28日 (四) 04:12 (UTC)回覆
@SrapojDabao qian有無進一步想法?--Hamish T 2025年11月29日 (六) 15:08 (UTC)回覆
如上,就是應該將全站所有id="spoiler"全部替換為class="metadata" style="border-top: 2px solid var(--border-color-base, #a2a9b1); border-bottom: 2px solid var(--border-color-base, #a2a9b1);"。但是這種事屬於中維歷史包袱,所以除非有志工願意去做,否則很難去推動,尤其是{{移動自}}/{{移動至}}系列模板被替換引用導致#spoiler在討論頁存檔中被大量引用,手工替換更是難以實現。--Dabao qian 2025年11月30日 (日) 17:29 (UTC)回覆
扔客棧了:WP:互助客棧/技術#檢討在存檔討論時展開模板的做法--Srapoj留言2025年12月3日 (三) 02:26 (UTC)回覆
無共識, 撤回請求。--Srapoj留言2025年12月31日 (三) 20:19 (UTC)回覆

編輯請求 2025-09-07

[編輯]

請求已處理

User:Dabao qian/MobileCommon.css補充以下內容:

/* Remove bullets when there are multiple edit page warnings */
ul.permissions-errors {
	margin: 0;
}

ul.permissions-errors > li {
	list-style: none;
}

避免編輯受保護頁面時目標頁面出現的項目符號標記(若存在多重編輯提示)。--Dabao qian 2025年9月7日 (日) 15:23 (UTC)回覆

完成--百無一用是書生 () 2025年10月5日 (日) 06:23 (UTC)回覆

編輯請求 2025-11-30

[編輯]

請求已處理

刪除自第371行/* Custom link colors for use in [[MediaWiki:Edittools]] */起的一堆charbox染色連結。這些內容應該是Monobook時期的遺留代碼,現在已經不再使用。--Dabao qian 2025年11月30日 (日) 17:33 (UTC)回覆

完成--百無一用是書生 () 2025年12月23日 (二) 02:51 (UTC)回覆

編輯請求 2025-12-26

[編輯]

請求已處理

修正jQuery.makeCollapsible相關樣式代碼。

/* Reduce page jumps by hiding collapsed/dismissed content */
.client-js .collapsible:not( .mw-made-collapsible).collapsed > tbody > tr:not(:first-child),

/* Avoid FOUC/reflows on collapsed elements. */
/* This copies MediaWiki's solution for T42812 to apply to innercollapse/outercollapse (T325115). */
/* TODO: Use :is() selector at some reasonable future when support is good for Most Clients */
/* Reference: https://gerrit.wikimedia.org/g/mediawiki/core/+/ecda06cb2aef55b77c4b4d7ecda492d634419ead/resources/src/jquery/jquery.makeCollapsible.styles.less#75 */
.client-js .outercollapse .innercollapse.mw-collapsible:not( .mw-made-collapsible ) > p,
.client-js .outercollapse .innercollapse.mw-collapsible:not( .mw-made-collapsible ) > table,
.client-js .outercollapse .innercollapse.mw-collapsible:not( .mw-made-collapsible ) > thead + tbody,
.client-js .outercollapse .innercollapse.mw-collapsible:not( .mw-made-collapsible ) tr:not( :first-child ),
.client-js .outercollapse .innercollapse.mw-collapsible:not( .mw-made-collapsible ) .mw-collapsible-content {
	display: none;
}

/* Reset top margin for lists embedded in columns */
/* Styling for jQuery makeCollapsible, matching that of collapseButton */
.mw-parser-output .mw-collapsible-toggle:not(.mw-ui-button) {
	font-weight: normal;
	padding-right: 0.2em;
	padding-left: 0.2em;
}

.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
	/* @noflip */
	float: left;
}
  • MediaWiki:Print.css修訂內容如下(第27行及一處代碼塊修訂,同時刪除/* Hide [show]/[hide] links */一節):
.mw-collapsible-toggle,
/* Uncollapse collapsible things
 * See also [[phab:T152330]]
 */
.mw-parser-output .mw-collapsed,
.mw-parser-output .mw-collapsed .mw-collapsible-content,
.mw-parser-output .mw-collapsed > li,
.mw-parser-output .mw-collapsed tr {
	/* fallback for browser versions that don't yet support revert
	 * on the support graph that's only grade C/X, so review this at a later date
	 */
	display: initial !important;
	display: revert !important; /* revert works better for tables */
}

--Dabao qian 2025年12月26日 (五) 10:47 (UTC)回覆

完成--百無一用是書生 () 2025年12月31日 (三) 09:43 (UTC)回覆